% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CST_PDFIndexHind.R
\name{CST_PDFIndexHind}
\alias{CST_PDFIndexHind}
\title{Computing the Index PDFs for the hindcast of a SFSs dataset
of a CSTools object}
\usage{
CST_PDFIndexHind(index_exp, index_obs, type_exp = "ens", method = "ME",
  na.rm = FALSE)
}
\arguments{
\item{index_exp}{An object of the class 's2dv_cube'
containing the indices or drivers of climate variability (as e.g.,
the North Atlantic Oscillation (NAO)) estimate from SFSs for improving.
The index_exp object is expected to have an element named \code{$data}
with dimensions (time, dataset, member, season) or 
(time, dataset, member=1, statistic=2, season). The dimensions 'time' must be 
greater than 2. When dimension 'statistic' doesn't exist, the dimension 
'member' must be greater than 1.}

\item{index_obs}{An object of the class 's2dv_cube'
containing the indices or drivers of climate variability (as e.g.,
the North Atlantic Oscillation (NAO)) estimate from observations or
reanalysis.
The index_obs object is expected to have an element named \code{$data}
with dimensions (time, dataset, member = 1, season). The dimension 'time' 
must be greater than 2.}

\item{type_exp}{A character string ('ens' or 'sta') to identify if the 
experiment output is an ensemble members or statistics.}

\item{method}{A character string indicating which methodology is applied
to compute the PDFs. One of "ME" (default) or "LMEV".}

\item{na.rm}{Logical (default = FALSE). Should missing values be removed?}
}
\value{
CST_PDFIndexHind() returns a CSTools object (i.e., of the
class 's2dv_cube').
This object has at least two elements: i) an element named \code{$data}
with dimensions (time, dataset, statistic = 4, season) and ii) an element
named \code{$statistics} with the names of 'statistic' dimension
of the first element ("mean_notbc", "sigma_notbc", "mean_bc", "sigma_bc")
The firt statistic is the parameter 'mean' of the PDF with not bias corrected
The second statistic is the parameter 'standard deviation' of the PDF
with not bias corrected
The third statistic is the parameter 'mean' of the PDF with bias corrected
The fourth statistic is the parameter 'standard deviation' of the PDF
with bias corrected
}
\description{
This function implements the computation to obtain the index PDFs
(e.g. NAO index) to improve the index estimate from the hindcast of SFSs
and accepts a CSTools object (an object of the class 's2dv_cube') as input.
}
\examples{
index_obs <- 1 : (5 * 3 * 1 * 4)
dim(index_obs) <- c(time = 5, dataset = 3, member = 1, season = 4)
index_exp <- 1 : (5 * 3 * 7 * 4)
dim(index_exp) <- c(time = 5, dataset = 3, member = 7, season = 4)
index_exp <- list(data = index_exp)
index_obs <- list(data = index_obs)
class(index_exp) <- 's2dv_cube'
class(index_obs) <- 's2dv_cube'
res_CST <- CST_PDFIndexHind(index_exp, index_obs)
dim(res_CST$data)
#time   dataset statistic    season
# 5         3         4         4
}
\references{
Regionally improved seasonal forecast of precipitation through
Best estimation of winter NAO, Sanchez-Garcia, E. et al.,
Adv. Sci. Res., 16, 165174, 2019, https://doi.org/10.5194/asr-16-165-2019
}
\author{
Eroteida Sanchez-Garcia - AEMET, \email{esanchezg@aemet.es}
}
